output {XDE} | R Documentation

## Options for storing results of the MCMC chains

### Description

A numeric vector indicating which chains to write to file and, for those parameters that are written to file, how often the chains should be written to file.

### Usage

    output(object)

### Arguments

`object` | An object of class `XdeParameter` or `XdeMcmc`

### Details

Replacement methods are only available for objects of class `XdeParameter`. Accessor methods are available for objects of class `XdeParameter` and `XdeMcmc`.

### Value

A named numerical vector. The first element (thin) specifies how often to write chains to file. For instance, if output[1]=2 the chains will be written to file every other iteration. Elements 2 - 22 of the vector are indicators for whether to write the write the chains of the Bayesian parameters to file.

### Note

Parameters indexed by gene and study (Delta, Phi, Nu, and sigma2) grow very large quickly.

### Author(s)

R. Scharpf

### See Also

`burnin`, `XdeParameter-class`, `XdeMcmc-class`

### Examples

    data(xmcmc)
    output(xmcmc)

[Package XDE version 1.2.0 Index]